Subject: Re: bug#77841: Some svg image's black color is replaced by emacs's theme foreground color

From: Alan Third <[email-masked]>
Date: Sat, 28 Jun 2025 15:44:55 +0100

On Sat, Jun 28, 2025 at 11:39:23AM +0300, Eli Zaretskii wrote:
> > Date: Thu, 29 May 2025 20:48:36 +0100
> > From: Alan Third <[email-masked]>
> > Cc: Ihor Radchenko <[email-masked]>,
> > 	Billy Lei <[email-masked]>, Eli Zaretskii <[email-masked]>,
> > 	[email-masked]
> > 
> > On Tue, May 27, 2025 at 11:46:20AM +0200, Manuel Giraud wrote:
> > > Alan Third <[email-masked]> writes:
> > > 
> > > > On Sat, May 24, 2025 at 07:57:26PM +0200, Manuel Giraud wrote:
> > > >> With this and the same SVG I provided, the foreground color of the text
> > > >> is black using a light theme.  Using a dark theme, the foreground color
> > > >> of the text is white...  So that seems to do the trick.
> > > >
> > > > Excellent, thanks.
> > > >
> > > > I've pushed a branch scratch/svg-colors with the various fixes. Can
> > > > you please check it's working as you'd expect?
> > > 
> > > Thanks!  Here is series of screenshot with emacs -Q from this branch
> > > that illustrates all the correct (IMO) features: SVG images keeps the
> > > default black, Emacs "widgets" follow the theme, DocView could follow
> > > the theme if the user wants.
> > > 
> > > The first screenshot is with a light theme (modus-operandi).  The second
> > > screenshot is with a dark theme (modus-vivendi) and the last screenshot
> > > is with the same dark theme after having set `doc-view-svg-face' to
> > > "inherit from default" only.
> > 
> > Thanks. It's all looking good to me. I suppose it's really a question
> > of whether non-core code is relying on the current behaviour (I can
> > fix core code). My suspicion is no, but I have no actual evidence...
> > 
> > > I'll try to test with librsvg < 1.48... but I don't have it at hand.
> > 
> > Thanks. I don't think I've had it on one of my machines in years now...
> 
> Ping!  What should we do here to make further progress?

I'll send an email to emacs-devel describing the change and then I
guess we wait a bit and see if anyone has any objections?

Sound reasonable?

Or do we just make the change and see if anyone complains?

Either way, if we do go ahead I'll have to write a news entry and fix
the documentation.
-- 
Alan Third